<?php

	PerchScheduledTasks::register_task('perch_cm', 'update_list_stats', 60, 'update_perch_cm');

	function update_perch_cm($last_update)
	{
		$API  = new PerchAPI(1.0, 'perch_cm');
		include('csrest_lists.php');
		include('PerchCampaignMonitor.class.php');
		include('PerchCampaignMonitor_Stat.class.php');

		$Settings = $API->get('Settings');
		$api_key = $Settings->get('perch_cm_api_key')->settingValue();
		$list_id = $Settings->get('perch_cm_list_id')->settingValue();

		$Data = new PerchCampaignMonitor($API);


		if(!$api_key || $api_key == '' || !$list_id || $list_id == '') {
			return array(
					'result'=>'FAILED',
					'message'=>'API key or list ID not provided in Settings.'
				);
		}else{
			if ($Data->update_data($api_key,$list_id)) {
				return array(
					'result'=>'OK',
					'message'=>'List statistics updated.'
				);
			}else{
				return array(
					'result'=>'WARNING',
					'message'=>'Unable to update list statistics.'
				);
			}
		}
	}


?>